Install older OS version


(Joey Mukherjee) #1

So I’m building my software with -mmacosx-version-min=10.11, so I’d like to install the El Capitan version of the latest version of a development library using brew. Would something like that be possible?

In my case, it is OpenMotif and I’m trying to rid myself of this error message:

ld: warning: object file (/usr/local/Cellar/openmotif/2.3.7/lib/libXm.a(Xpmrgb.o)) was built for newer OSX version (10.13) than being linked (10.11)

There are many more almost identical.

The software works, but it seems like I could just install the bottle for El Capitan instead of High Sierra and no problems would exist.

Thanks,
Joey


(Jacob Ledbetter) #2

Under the Apple End User Agreement, we are not allowed to take a download and redistribute without consent from Apple. You could try to create a local bottle for your own use but you cannot publish it to homebrew. If so then then download the dmg and go through the process of creating the local bottle.